#ifndef __IML_PORT_H__
#define __IML_PORT_H__
/*----------------------------------------------------------------------
	Legal Stuff (tm)

	Copyright(c)1996-98 R.E. Fredericksen <eric@troland.hipl.uci.edu>
		U.C. Irvine, Irvine, CA (USA)
	
	The accompanying software is free; you may use it in your 
	research  and give it away to others, with the following 
	restrictions. Any copy  you give away must include this 
	Legal Stuff(tm) section, unmodified.  Any file that you have 
	changed must include a note at the top of the file giving your 
	name, the date, and a description of the changes. This software
	may not be sold, whether in source or compiled form, without 
	my permission. 	
	
	THIS SOFTWARE IS BEING PROVIDED "AS IS", WITHOUT ANY EXPRESS OR
	IMPLIED WARRANTY.  IN PARTICULAR, NEITHER THE AUTHOR NOR THE 
	UNIVERSITY OF CALIFORNIA MAKE ANY REPRESENTATION OR WARRANTY OF 
	ANY KIND CONCERNING THE MERCHANTABILITY OF THIS SOFTWARE OR ITS
	FITNESS FOR ANY PARTICULAR PURPOSE.
	
----------------------------------------------------------------------*/

#include <limits.h>
#include <float.h>

#ifndef TRUE
#define TRUE	1
#endif

#ifndef FALSE
#define FALSE	0
#endif


#ifdef __BORLAND_CPP__
// SOME TYPES DEFINED FOR EASY CHANGING...
/* A pointer (*) which works the same on both Macs and DOS/Windows 16 bit code. </p> */
#define IML_PTR				huge *
/* A reference (&) which works the same on both Macs and DOS/Windows 16 bit code. </p> */
#define IML_REF				huge &
//#define IML_HUGE				huge
#else
// THIS WORKS ON THE MAC and on Win32
#define IML_PTR				*
#define IML_REF				&
#define IML_HUGE				
#endif

/* An unsigned 8-bit integer. */
#define IML_UBYTE 			unsigned char
/* A signed 8-bit integer. */
#define IML_BYTE 				signed char
/* An unsigned 16-bit integer. */
#define IML_USINT 			unsigned short int
/* A signed 16-bit integer. */
#define IML_SINT 				signed short int
/* An unsigned 32-bit integer. */
#define IML_ULINT 			unsigned long int
/* A signed 32-bit integer. */
#define IML_LINT 				signed long int
/* A 32-bit floating point (assumes IEEE format). */
#define IML_FLOAT				float
/* A 64-bit floating point (assumes IEEE format). */
#define IML_DOUBLE			double

#endif // __IML_PORT_H__
