#ifndef __VECTOR_3D_ARRAY_H__
#define __VECTOR_3D_ARRAY_H__

#include "vector_3d.h"
#include "rotation_3d.h"

class vector_3d_array {
		long Count;
		vector_3d *Array;
	public:
		
		vector_3d_array(long Count) { Array = new vector_3d[Count]; };
		vector_3d_array(void) { if(Array) delete Array; };
		
		vector_3d & point(unsigned long I) {
			if(I >= Count) I = Count-1;
			return(Array[Count]);
			};
		
		void post_multiply(matrix_3d & M) {
			for(long K=0; K<Count; K++) M.post_multiply(Array[K]);
			};

		void translate(vector_3d T) {
			for(long K=0; K<Count; K++) Array[K].translate(T);
			};

		void scale(float S) {
			for(long K=0; K<Count; K++) Array[K].scale(S);
			};

};

#endif // __VECTOR_3D_ARRAY_H__
