#ifndef __IML_SNDS_H__
#define __IML_SNDS_H__
/*----------------------------------------------------------------------
	Legal Stuff (tm)

	Copyright(c)1996-97 R.E. Fredericksen <eric@troland.hipl.uci.edu>
		U.C. Irvine, Irvine, CA (USA)
	
 	The accompanying software is free; you may use it in your 
 	research  and give it away to others, with the following 
 	restrictions. Any copy  you give away must include this 
 	Legal Stuff(tm) section, unmodified.  Any file that you have 
 	changed must include a note at the top of the file giving your 
 	name, the date, and a description of the changes. This software
   may not be sold, whether in source or compiled form, without 
   my permission. 	
	
	THIS SOFTWARE IS BEING PROVIDED "AS IS", WITHOUT ANY EXPRESS OR
	IMPLIED WARRANTY.  IN PARTICULAR, NEITHER THE AUTHOR NOR THE 
	UNIVERSITY OF CALIFORNIA MAKE ANY REPRESENTATION OR WARRANTY OF 
	ANY KIND CONCERNING THE MERCHANTABILITY OF THIS SOFTWARE OR ITS
	FITNESS FOR ANY PARTICULAR PURPOSE.
	
----------------------------------------------------------------------*/

#define IML_DEFAULT_SOUND		-1

#define IML_ANVIL_SOUND			2999
#define IML_BEAM_SOUND			3000
#define IML_BONK_SOUND			3001
#define IML_CHIMES_SOUND		3002
#define IML_CHORD_SOUND			3003
#define IML_DING_SOUND			3004
#define IML_DOORBELL_SOUND		3005
#define IML_HCLICK_SOUND		3006
#define IML_HELLO_SOUND			3007
#define IML_HEY_SOUND			3008
#define IML_MOO_SOUND			3010
#define IML_NDSWRK_SOUND		3011
#define IML_OPRA_SOUND			3012
#define IML_TADA_SOUND			3013
#define IML_TANKYOU_SOUND		3014
#define IML_WINSTART_SOUND		3015

#define IML_ANVIL_NAME			anvil
#define IML_BEAM_NAME			beam
#define IML_BONK_NAME			bonk
#define IML_CHIMES_NAME			chimes
#define IML_CHORD_NAME			chord
#define IML_DING_NAME			ding
#define IML_DOORBELL_NAME		doorbell
#define IML_HCLICK_NAME			hclick
#define IML_HELLO_NAME			hello
#define IML_HEY_NAME				hey
#define IML_MOO_NAME				moo
#define IML_NDSWRK_NAME			ndswrk
#define IML_OPRA_NAME			opra
#define IML_TADA_NAME			tada
#define IML_TANKYOU_NAME		tankyou
#define IML_WINSTART_NAME		winstart


#endif // __IML_SNDS_H__
