#ifndef __MVL_MOUSE_H__
#define __MVL_MOUSE_H__

#include "vector_2d.h"

//============================================================================
//
//============================================================================
class mvl_mouse {
		Point MVLPoint;
		EventRecord Trash;
		EventRecord AnyEvent;
		vector_2d Position;
		
	public:
	
		bool get_event(EventMask MVL_EventMask);
		
		void trash_event(EventMask MVL_EventMask);
		
		vector_2d get_button_down(void);
		
		vector_2d get_button_up(void);
		
		bool event_available(EventMask MVL_EventMask, bool RemoveEvent = false);
		
		bool interrupted(void);
		
		void flush_all_events(void);
		
		vector_2d location(void);
		bool button_down(void);
		bool button_still_down(void);
		bool wait_button_up(void);
		char get_key_stroke(void);


}; // end mouse class


#endif // __MVL_MOUSE_H__
