#ifndef __IML_DOS_H__
#define __IML_DOS_H__

#include "iml_app.h"
#include <conio.h>
#include <dos.h>

//=====================================================================
// MOUSE RESPONSE GETTER THAT USES THE DOS SOFTWARE INTERRUPTS RATHER
// THAN WINDOWS EVENTS.
//=====================================================================
class dos_mouse {
	private:
		union REGS Regs;
      IML_UBYTE MouseReady;

	public:
		dos_mouse(void);
		IML_BYTE mouse_ready(void) { return(MouseReady); };
		IML_USINT mouse_state(IML_SINT IML_HREF HPosition, IML_SINT IML_HREF VPosition);
		button_info get_button_press(void);


}; // end class


class iml_dosapp_shell : public iml_app_shell {
	protected:
   	dos_mouse Mouse;

	public:                     // POINT GLOBAL VARIABLE AT 'this'
		iml_dosapp_shell(void) { IMLAppShell = this; };

		button_info get_button_press(void) { return(Mouse.get_button_press()); };
		void print(char *String) { fprintf(stderr,"%s\n",String); };
		void print(IML_USINT Row, IML_USINT Col, char *String) {
			gotoxy(Col, Row); fprintf(stderr,"%s\n",String);
			};
		void clear(void) { clrscr(); };



}; // end class



#endif // __IML_DOS_H__
